Hi Richard,<br><br>Firstly thanks for your help on this. However I am still experiecing problems when importing stacklesssocket. Basically I can import it without an error when I do so from the Python shell, howerver when I import it as a script I try to execute it refuses to work. I have attached the basics of the script code below, it bombs out whenever I try to import, even if similar code or an "import stacklesssocket as socket" line is used.<br><br>FYI I am using Python 2.5 along with Stackless 3.1b3 on an Intel/XP box.<br><br>If anyone can help I would be much obliged.<br><br>Best,<br><br>rod<br><br>import os<br>import sys<br>import stackless<br><br>try:<br>&nbsp;&nbsp;&nbsp; import stacklesssocket<br>&nbsp;&nbsp;&nbsp; sys.modules["socket"] = stacklesssocket<br>except:<br>&nbsp;&nbsp;&nbsp; print "Error importing Stackless socket"<br>&nbsp;&nbsp;&nbsp; <br>if __name__=="__main__":<br>&nbsp;&nbsp;&nbsp; print "doing nothing other than importing
 libraries"<br><br><b><i>Richard Tew &lt;richard.m.tew@gmail.com&gt;</i></b> wrote:<blockquote class="replbq" style="border-left: 2px solid rgb(16, 16, 255); margin-left: 5px; padding-left: 5px;"> On 3/29/07, Rod <userprogoogle-139@yahoo.co.uk> wrote:<br>&gt; I am new to the Stackless way of things but overall so far so good. However<br>&gt; I am trying to write a programme which uses sockets and so far have had no<br>&gt; luck. I keep receiving errors. Also I have tried running the mud.py example<br>&gt; which is no the wiki and again I receive errors, a copy of which I have put<br>&gt; below. I am using Python 2.4 and stackess 3.1b3 - Win XP. I have also<br>&gt; downloaded the stacklesssocket library and have been using that. Any advice<br>&gt; on using sockets will be gratefully received as I am at a loss to know why<br>&gt; my old sockets model (which worked fine without stackless), which I ported<br>&gt; to Stackless no longer works. Also is there any particular reason
 why no<br>&gt; sockets code I try (even from stackless.com) works?<br><br>The stacklesssocket module is only tested with Python 2.5, it may need<br>some compatibility changes to work with Python 2.4.  Anything you use<br>whether existing examples or your own code will fail until this is done.<br><br>Hope that helps,<br>Richard.<br><br>_______________________________________________<br>Stackless mailing list<br>Stackless@stackless.com<br>http://www.stackless.com/mailman/listinfo/stackless<br></userprogoogle-139@yahoo.co.uk></blockquote><br>